<!DOCTYPE html>
<html class="writer-html5" lang="pt-br" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Consist - Sistema de Folha de Pagamentos &mdash; Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife. 1.0.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/css/lightbox.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2-customize/jquery-noconflict.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="SOFIN - Sistema de Controle Orçamentário e Financeiro" href="sofin.html" />
    <link rel="prev" title="SEMEWEB/SEGE - Sistema de Gestão Escolar" href="../pedagogicos/semeweb.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../pedagogicos/geqt.html">GEQT - Sistema de gestão de equipamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pedagogicos/matricula.html">Matrícula Online</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pedagogicos/saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pedagogicos/sadr.html">SADR - Sistema de avaliação diagnóstica</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pedagogicos/sdcl.html">SDCL - Sistema de diário de classe</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pedagogicos/segm.html">SEGM - Sistema de Gestão de Merendas</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pedagogicos/segp.html">SEGP - Sistema de Gestão de Pessoas</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pedagogicos/seinfra.html">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pedagogicos/semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Consist - Sistema de Folha de Pagamentos</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#principais-funcionalidades">Principais funcionalidades</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../conclus%C3%A3o.html">Conclusão</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
      <li>Consist - Sistema de Folha de Pagamentos</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/sistemas/administrativos/consist.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="consist-sistema-de-folha-de-pagamentos">
<h1>Consist - Sistema de Folha de Pagamentos<a class="headerlink" href="#consist-sistema-de-folha-de-pagamentos" title="Permalink to this headline"></a></h1>
<p>Consist é o sistema de cadastro e folha de pagamento do Município há mais de vinte anos.
Utiliza Oracle como banco de dados e possui parte das funcionalidades implementadass em PHP, parte em ADS/Natural (linguagem própria da empresa Consist). A infraestrutura do sistema é mantida pela empresa municipal <a class="reference external" href="https://www.emprel.gov.br/">Emprel</a>. O Consist possui uma arquitetura de <em>Mainframe</em>, por isso, é integrado a outros sistemas da Secretaria através de compartilhamento de arquivos. Apesar de ser um sistema antigo, os cálculos necessários para gerar as folhas de pagamentos são muito estáveis e atendem a complexidade do setor. O Consist é um sistema utilizado a nível municipal pelo Órgão de Planejamento, Gestão e Transformação Digital.</p>
<p>O Consist não utiliza um sistema de autenticação e controle de acesso próprio, diferente dos demais sistemas da Secretaria, que utilizam o EMAC ou ConectaLogin. O Município não possui acesso ao código-fonte do sistema, apenas à licença de uso. Existe um contrato de suporte e manutenção com a Consist e uma equipe interna que gera alguns relatórios a partir do que o sistema disponibiliza. Existe um setor no Órgão de Planejamento, Gestão e Transformação Digital que trata apenas da folha de pagamento da Secretaria de Educação, além de servidores da Secretaria que fazem a gestão de férias dos servidores.</p>
<p>Existe uma queixa do Órgão relacionado ao uso do Consist. Segundo o servidor que apresentou o sistema, a Secretaria de Educação utiliza um cadastro paralelo de gestão de pessoas. O que vai acontecer na prática (quando o SEGP for lançado) é que as bases de dados ficarão discrepantes. Como o sistema de Gestão de Pessoas da Secretaria não realiza pagamentos pode haver algum problema crítico no futuro por conta dessa não integração. Foi uma decisão da Secretaria não seguir com a integração com o Consist.</p>
<section id="principais-funcionalidades">
<h2>Principais funcionalidades<a class="headerlink" href="#principais-funcionalidades" title="Permalink to this headline"></a></h2>
<ul class="simple">
<li><p><strong>Gestão de pessoal</strong>: permite cadastrar uma nova matrícula de um servidor na base de dados. Toda matrícula cadastrada deve seguir padrão de criação, informado manualmente por quem faz o cadastro.</p></li>
<li><p><strong>Controle de frequência</strong>: permite realizar o controle de frequência dos servidores. A Secretaria de Educação envia o registro de frequência e o Consist realiza os cálculos de desconto a partir disso. O processo é lento porque passa por vários outros setores internos até chegar no sistema. Isso gera problemas financeiros para o Município e para a Secretaria. <strong>Não há uma integração entre o Consist e os sistemas da Secretaria para controle de frequência</strong>.</p></li>
<li><p><strong>Controle de afastamento</strong>: permite afastar um servidor de suas atividades por diferentes motivos. O servidor precisa entrar com o pedimento de afastamento com bastante antecedência, já que o processo é lento e o pedido só é liberado quando o processo encerra.</p></li>
<li><p><strong>Cadastro de folha</strong>: permite realizar o cálculo da folha de pagamento do servidor. Ao longo do mês, as ocorrências (férias, admissão, dependentes, gratificações, frequência) são lançadas dentro de um calendário para a folha de pagamento.  Assim que o calendário encerra, faze-se os cálculos e é solicitado o pagamento para o Banco.</p></li>
</ul>
<p>O Consist interage com o <a class="reference external" href="./sofin.html">SOFIN</a>  para realizar o fechamento da folha e fazer a transmissão dos dados.</p>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../pedagogicos/semeweb.html" class="btn btn-neutral float-left" title="SEMEWEB/SEGE - Sistema de Gestão Escolar" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="sofin.html" class="btn btn-neutral float-right" title="SOFIN - Sistema de Controle Orçamentário e Financeiro" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, Pencillabs.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>